GNU bug report logs - #53394
[PATCH] gnu: Openbox: Make compatible with Python 3.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Leo Famulari <leo@HIDDEN>; Keywords: patch; merged with #53750; dated Thu, 20 Jan 2022 18:12:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 53394 <at> debbugs.gnu.org:


Received: (at 53394) by debbugs.gnu.org; 29 Mar 2022 10:06:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 29 06:06:41 2022
Received: from localhost ([127.0.0.1]:59941 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nZ8kF-0006RN-AL
	for submit <at> debbugs.gnu.org; Tue, 29 Mar 2022 06:06:41 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51380)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1nZ8kD-0006RB-8U
 for 53394 <at> debbugs.gnu.org; Tue, 29 Mar 2022 06:06:33 -0400
Received: from [2001:470:142:3::e] (port=32782 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nZ8k7-0004Yk-En; Tue, 29 Mar 2022 06:06:27 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=5PmU/FiNtq1/7EntlJW1WuIu9n7PyFW7/Kp/BrRzyUE=; b=CROLaxAu+2zQVda3oKtm
 TDRiDq7CQNysNJYjwvl1lioWYANJkVR5j61E/J+h9VQLZ/lTxYdeUTSv6jb3MhRiQ0tAo2IPBFZzh
 myixDRCvDqMmmFGhNU5llM4b05vR8qFL8pv92vQEpZ4QB4S+HP/pDTl4wV60iBkILYN4EZNybvrgC
 HhadjoG3XDLkCoJnggOOqeLEQQJqskj1efDVajnQhnvCAZgOQc5wsW+FXbJjHC5ox/PA17yl+8zFZ
 C5/qPCWTQ/wr2jTnwkS8vWnFL145EkM/r2WFwjOZYWFFZ+gKyjjsL7x6t/XNlFNkBzzkOqsq91xPN
 vsZbktEoo9KaPg==;
Received: from [193.50.110.177] (port=51522 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nZ8k6-0004mY-OH; Tue, 29 Mar 2022 06:06:27 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Vinicius Monego <monego@HIDDEN>
Subject: Re: bug#53394: [PATCH] gnu: Openbox: Make compatible with Python 3.
References: <002d396c0ecfe47e1457a71842d53c95875f99cf.1642702165.git.leo@HIDDEN>
 <1f60b35cb7b09c8f0799378b9fcdf1be442d415a.camel@HIDDEN>
Date: Tue, 29 Mar 2022 12:06:24 +0200
In-Reply-To: <1f60b35cb7b09c8f0799378b9fcdf1be442d415a.camel@HIDDEN>
 (Vinicius Monego's message of "Sun, 06 Feb 2022 18:56:14 +0000")
Message-ID: <87zgl913a7.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53394
Cc: 53394 <at> debbugs.gnu.org, Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Leo, Vinicius,

What=E2=80=99s the status of this patch?  Looks like it was almost ready.

Thanks,
Ludo=E2=80=99.

Vinicius Monego <monego@HIDDEN> skribis:

> Em qui, 2022-01-20 =C3=A0s 13:11 -0500, Leo Famulari escreveu:
>> As the patch file says, Openbox seems abandoned upstream. So, as
>> Python 2 is
>> phased out, we can either use a patch like this, or remove Openbox.
>>=20
>> I rebuilt all affected packages on x86_64-linux, and there were no
>> new build
>> failures, only the same failures as before this patch:
>>=20
>> kdepim-runtime-20.04.1
>> kmail-20.04.1
>> akregator-20.04.1
>> scorep-openmpi-3.1
>> smb4k-3.0.6
>>=20
>
> [...]
>
> I noticed that with 'python' the shebang in libexec/openbox-xdg-
> autostart becomes '#!/usr/bin/env python' while with python-wrapper it
> changes to the store path.
>
> I also 'cat' that file and the code is still in Python 2. Can you check
> this?
>
> openbox.scm is missing the copyright line, and python2-xdg should be
> changed to python-xdg. There are trailing whitespaces in the patch.




Information forwarded to guix-patches@HIDDEN:
bug#53394; Package guix-patches. Full text available.

Message received at 53394 <at> debbugs.gnu.org:


Received: (at 53394) by debbugs.gnu.org; 6 Feb 2022 18:56:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 06 13:56:34 2022
Received: from localhost ([127.0.0.1]:39840 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nGmiA-00025d-NL
	for submit <at> debbugs.gnu.org; Sun, 06 Feb 2022 13:56:34 -0500
Received: from mout02.posteo.de ([185.67.36.66]:59795)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1nGmi8-00025M-Hp
 for 53394 <at> debbugs.gnu.org; Sun, 06 Feb 2022 13:56:33 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 626EF240101
 for <53394 <at> debbugs.gnu.org>; Sun,  6 Feb 2022 19:56:25 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1644173786; bh=tMtpCG+z2sqAiIGyrjUCvXmRFGhcZ3GAkIFR6j2tAqA=;
 h=Subject:From:To:Date:From;
 b=If+of3vOrGGWvJ2y4YxYh/Yn1c8Ubu6XPs5Z/1nv19QBeFB4zTrP0MeKh2LhyLl2u
 o1wRJRPXtDKhafqqPtiMfBPKT1MGaEgoI0G9iu6kNCd3TeVHs1ejaNWN6CzWn/14ej
 JdrETORpQPh/lvYjfy9u48qqk8AimtbTOaHwa9YhpMEWIGs1kxR6FDYlm6c829ixTs
 poIe6E8RNYc/mncug8LDzDeiE07KSxwrDjiZiK6JtIB5fecGXLNJgiqKX8NxZRoOff
 yUxvSeH7W5nJRzIc7sich9oP1ujzPdMNoy/a6VvZCvBXWV73e1HWzwAZvQ5J/+5gu+
 iDYVwpJlcaqrA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4JsJQc15GKz6tnX;
 Sun,  6 Feb 2022 19:56:23 +0100 (CET)
Message-ID: <1f60b35cb7b09c8f0799378b9fcdf1be442d415a.camel@HIDDEN>
Subject: Re: [PATCH] gnu: Openbox: Make compatible with Python 3.
From: Vinicius Monego <monego@HIDDEN>
To: Leo Famulari <leo@HIDDEN>, 53394 <at> debbugs.gnu.org
Date: Sun, 06 Feb 2022 18:56:14 +0000
In-Reply-To: <002d396c0ecfe47e1457a71842d53c95875f99cf.1642702165.git.leo@HIDDEN>
References: <002d396c0ecfe47e1457a71842d53c95875f99cf.1642702165.git.leo@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53394
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Em qui, 2022-01-20 às 13:11 -0500, Leo Famulari escreveu:
> As the patch file says, Openbox seems abandoned upstream. So, as
> Python 2 is
> phased out, we can either use a patch like this, or remove Openbox.
> 
> I rebuilt all affected packages on x86_64-linux, and there were no
> new build
> failures, only the same failures as before this patch:
> 
> kdepim-runtime-20.04.1
> kmail-20.04.1
> akregator-20.04.1
> scorep-openmpi-3.1
> smb4k-3.0.6
> 

[...]

I noticed that with 'python' the shebang in libexec/openbox-xdg-
autostart becomes '#!/usr/bin/env python' while with python-wrapper it
changes to the store path.

I also 'cat' that file and the code is still in Python 2. Can you check
this?

openbox.scm is missing the copyright line, and python2-xdg should be
changed to python-xdg. There are trailing whitespaces in the patch.





Information forwarded to guix-patches@HIDDEN:
bug#53394; Package guix-patches. Full text available.
Merged 53394 53750. Request was from Leo Famulari <leo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Jan 2022 18:11:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 20 13:11:21 2022
Received: from localhost ([127.0.0.1]:59136 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nAbu5-0001vQ-6w
	for submit <at> debbugs.gnu.org; Thu, 20 Jan 2022 13:11:21 -0500
Received: from lists.gnu.org ([209.51.188.17]:51892)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1nAbu2-0001vI-Lb
 for submit <at> debbugs.gnu.org; Thu, 20 Jan 2022 13:11:19 -0500
Received: from eggs.gnu.org ([209.51.188.92]:43478)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <leo@HIDDEN>) id 1nAbu2-0004V3-Bs
 for guix-patches@HIDDEN; Thu, 20 Jan 2022 13:11:18 -0500
Received: from wout5-smtp.messagingengine.com ([64.147.123.21]:42023)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <leo@HIDDEN>) id 1nAbtx-0006Yv-HP
 for guix-patches@HIDDEN; Thu, 20 Jan 2022 13:11:15 -0500
Received: from compute2.internal (compute2.nyi.internal [10.202.2.46])
 by mailout.west.internal (Postfix) with ESMTP id 929633200645;
 Thu, 20 Jan 2022 13:11:11 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute2.internal (MEProxy); Thu, 20 Jan 2022 13:11:11 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=cc:content-transfer-encoding:content-type:date:date:from:from
 :in-reply-to:message-id:mime-version:reply-to:sender:subject
 :subject:to:to; s=mesmtp; bh=aMLx8Ra3kMt5DF+LJwotuUW8tOPcFERotYs
 rn23WsNM=; b=stktof6anvFZgBq+d1y+pkFw9fsicnW0m10q3Eh7jgo/qzDJ/3+
 O0ARnG+k3tU775f5ibbC4UOFnHKEOGDcUNU9+kyNOTfQ9oiq5kEaTGvMwnAOoLmw
 kL5JlJ5gqkZml09N8j2J7cwoMQwgoozMtf2cXcBjruH6mEfOziqp89Bs=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:date:from:from:in-reply-to:message-id:mime-version
 :reply-to:sender:subject:subject:to:to:x-me-proxy:x-me-proxy
 :x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=aMLx8Ra3kMt5DF+LJ
 wotuUW8tOPcFERotYsrn23WsNM=; b=NNahbnRMw0eu58tVU6PRkOGd3L9VTwpqo
 QlT715CLYG5zG+yHRsciRHJXNNPIbhw4rbIOaMh2Ro8uQKDlfTWdi/cweXwFgEL5
 AZgTQlrEiLnYPKsQjjEgUUf/kEikCAIBf/fr3SDXBrEugJePUqVdYpTyXkCIbHuJ
 wMX/rtt+93gfbL6C1NZXIXWZRn7iPnkjH6m7X05DhmrnYDaTsL/J6ur42UG0Z+ZT
 uulnjoLnLCv0y1gb1esqteBX7VtX6eurMr/1yim6FEme0auB34tnEHT/LzM0ef8Q
 UvuVFWfNb4R7gJYNFz6hlLBAaHYys6lbdAGvS8BbkM9DJM4lUx5Ew==
X-ME-Sender: <xms:v6XpYZ_hgJmda-FRVX1iiiailbYkkVv24yX-O7DAXBnLaiC1GKp2Pw>
 <xme:v6XpYdsGH0-aiveQTnrkxawn76q0U1Xu2xjuGmaLey4Fln2MH3TT8qHWMal4pSQ9S
 l9C8a5rdixVr_6nag>
X-ME-Received: <xmr:v6XpYXAFo8NPzskeTqaSagdxuKAxtJugnbzcIbZ3xTgTUD2bskQ3CuSD4KWZkXIrHgsJmUWBVUIw9okR6xbj14-Qw_v8>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvvddrudekgddutdejucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefhvffufffkofggtgfgsehtkeertd
 ertdejnecuhfhrohhmpefnvghoucfhrghmuhhlrghrihcuoehlvghosehfrghmuhhlrghr
 ihdrnhgrmhgvqeenucggtffrrghtthgvrhhnpeeuffdtjeeiheejueegteegkeettddute
 ejhefhieeghfegkeefhffgffekueekieenucffohhmrghinhepohhpvghnsghogidrohhr
 ghdpghgvnhhtohhordhorhhgpdhgihhthhhusgdrtghomhenucevlhhushhtvghrufhiii
 gvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehlvghosehfrghmuhhlrghrihdrnhgr
 mhgv
X-ME-Proxy: <xmx:v6XpYddcbyvPzxPWYVquNRual9ElACXc46SWX26obKQksn9ev1PagA>
 <xmx:v6XpYeN1S9B20-JcCgTMDkeXwm8oNfic9XPH3FalcdfTubBJ63MfAQ>
 <xmx:v6XpYfm_NYRIP2oGpFmsDRw5hrlAuWLqwXQyxBH1_vnFZFKfKuM4Dg>
 <xmx:v6XpYRYarerZTDRH4z1gq1a1wSqHhNrJJ8N-b8-m8zkj9N9LCjqNBA>
Received: by mail.messagingengine.com (Postfix) with ESMTPA for
 <guix-patches@HIDDEN>; Thu, 20 Jan 2022 13:11:10 -0500 (EST)
From: Leo Famulari <leo@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Openbox: Make compatible with Python 3.
Date: Thu, 20 Jan 2022 13:11:07 -0500
Message-Id: <002d396c0ecfe47e1457a71842d53c95875f99cf.1642702165.git.leo@HIDDEN>
X-Mailer: git-send-email 2.34.0
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=64.147.123.21; envelope-from=leo@HIDDEN;
 helo=wout5-smtp.messagingengine.com
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

As the patch file says, Openbox seems abandoned upstream. So, as Python 2 is
phased out, we can either use a patch like this, or remove Openbox.

I rebuilt all affected packages on x86_64-linux, and there were no new build
failures, only the same failures as before this patch:

kdepim-runtime-20.04.1
kmail-20.04.1
akregator-20.04.1
scorep-openmpi-3.1
smb4k-3.0.6

* gnu/packages/patches/openbox-python-3-compatibility.patch: New file.
* gnu/local.mk (dist_patch_DATA): Add it.
* gnu/packages/openbox.scm (openbox)[source]: Use it.
---
 gnu/packages/openbox.scm                      |   4 +-
 .../openbox-python-3-compatibility.patch      | 273 ++++++++++++++++++
 2 files changed, 276 insertions(+), 1 deletion(-)
 create mode 100644 gnu/packages/patches/openbox-python-3-compatibility.patch

diff --git a/gnu/packages/openbox.scm b/gnu/packages/openbox.scm
index 873592c19e..698c939a96 100644
--- a/gnu/packages/openbox.scm
+++ b/gnu/packages/openbox.scm
@@ -24,6 +24,7 @@ (define-module (gnu packages openbox)
   #:use-module (guix download)
   #:use-module (guix utils)
   #:use-module (guix build-system gnu)
+  #:use-module (gnu packages)
   #:use-module (gnu packages freedesktop)
   #:use-module (gnu packages gettext)
   #:use-module (gnu packages gnome)
@@ -44,6 +45,7 @@ (define-public openbox
               (uri (string-append
                     "http://openbox.org/dist/openbox/" name "-"
                     version ".tar.xz"))
+              (patches (search-patches "openbox-python-3-compatibility.patch"))
               (sha256
                (base32
                 "0vg2y1qddsdxkjv806mzpvmkgzliab8ll4s7zm7ma5jnriamirxb"))))
@@ -60,7 +62,7 @@ (define-public openbox
                   libxrandr
                   libxft
                   pango
-                  python-2))
+                  python))
     (synopsis "Box style window manager")
     (description
      "Openbox is a highly configurable, next generation window manager with
diff --git a/gnu/packages/patches/openbox-python-3-compatibility.patch b/gnu/packages/patches/openbox-python-3-compatibility.patch
new file mode 100644
index 0000000000..8e19bc86d6
--- /dev/null
+++ b/gnu/packages/patches/openbox-python-3-compatibility.patch
@@ -0,0 +1,273 @@
+Make Openbox compatible with Python 3.
+
+Patch adapted from Gentoo:
+
+https://gitweb.gentoo.org/repo/gentoo.git/patch/?id=31bad4f781f788ccf848500f8c17905ad32a2de9
+
+Openbox seems to be abandoned upstream, with no activity in their Git repo since
+2015:
+
+http://openbox.org/develop-git.php
+
+From 31bad4f781f788ccf848500f8c17905ad32a2de9 Mon Sep 17 00:00:00 2001
+From: Hanno Böck <hanno@HIDDEN>
+Date: Mon, 13 Jan 2020 17:22:27 +0100
+Subject: x11-wm/openbox: Python 3 support.
+MIME-Version: 1.0
+Content-Type: text/plain; charset=UTF-8
+Content-Transfer-Encoding: 8bit
+
+Use EAPI 7.
+Remove Python 2, change to python single package.
+
+Closes: https://bugs.gentoo.org/696042
+Signed-off-by: Hanno Böck <hanno@HIDDEN>
+Package-Manager: Portage-2.3.84, Repoman-2.3.20
+---
+ x11-wm/openbox/files/openbox-3.6.1-py3-xdg.patch | 126 +++++++++++++++++++++++
+ x11-wm/openbox/openbox-3.6.1-r2.ebuild           | 100 ++++++++++++++++++
+ 2 files changed, 226 insertions(+)
+ create mode 100644 x11-wm/openbox/files/openbox-3.6.1-py3-xdg.patch
+ create mode 100644 x11-wm/openbox/openbox-3.6.1-r2.ebuild
+
+diff --git a/x11-wm/openbox/files/openbox-3.6.1-py3-xdg.patch b/x11-wm/openbox/files/openbox-3.6.1-py3-xdg.patch
+new file mode 100644
+index 00000000000..d28b536d64a
+--- /dev/null
++++ b/x11-wm/openbox/files/openbox-3.6.1-py3-xdg.patch
+@@ -0,0 +1,126 @@
++diff --git a/data/autostart/openbox-xdg-autostart b/data/autostart/openbox-xdg-autostart
++index 04a17a199..f2c75bbdd 100755
++--- a/data/autostart/openbox-xdg-autostart
+++++ b/data/autostart/openbox-xdg-autostart
++@@ -19,6 +19,8 @@
++ #   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
++ #   GNU General Public License for more details.
++ 
+++from __future__ import print_function
+++
++ ME="openbox-xdg-autostart"
++ VERSION="1.1"
++ 
++@@ -28,9 +30,9 @@ try:
++     from xdg.DesktopEntry import DesktopEntry
++     from xdg.Exceptions import ParsingError
++ except ImportError:
++-    print
++-    print >>sys.stderr, "ERROR:", ME, "requires PyXDG to be installed"
++-    print
+++    print()
+++    print("ERROR:", ME, "requires PyXDG to be installed", file=sys.stderr)
+++    print()
++     sys.exit(1)
++ 
++ def main(argv=sys.argv):
++@@ -51,7 +53,7 @@ def main(argv=sys.argv):
++             try:
++                 autofile = AutostartFile(path)
++             except ParsingError:
++-                print "Invalid .desktop file: " + path
+++                print("Invalid .desktop file: " + path)
++             else:
++                 if not autofile in files:
++                     files.append(autofile)
++@@ -99,9 +101,9 @@ class AutostartFile:
++ 
++     def _alert(self, str, info=False):
++         if info:
++-            print "\t ", str
+++            print("\t ", str)
++         else:
++-            print "\t*", str
+++            print("\t*", str)
++ 
++     def _showInEnvironment(self, envs, verbose=False):
++         default = not self.de.getOnlyShowIn()
++@@ -146,14 +148,14 @@ class AutostartFile:
++ 
++     def display(self, envs):
++         if self._shouldRun(envs):
++-            print "[*] " + self.de.getName()
+++            print("[*] " + self.de.getName())
++         else:
++-            print "[ ] " + self.de.getName()
+++            print("[ ] " + self.de.getName())
++         self._alert("File: " + self.path, info=True)
++         if self.de.getExec():
++             self._alert("Executes: " + self.de.getExec(), info=True)
++         self._shouldRun(envs, True)
++-        print
+++        print()
++ 
++     def run(self, envs):
++         here = os.getcwd()
++@@ -165,34 +167,34 @@ class AutostartFile:
++         os.chdir(here)
++ 
++ def show_help():
++-    print "Usage:", ME, "[OPTION]... [ENVIRONMENT]..."
++-    print
++-    print "This tool will run xdg autostart .desktop files"
++-    print
++-    print "OPTIONS"
++-    print "  --list        Show a list of the files which would be run"
++-    print "                Files which would be run are marked with an asterix"
++-    print "                symbol [*].  For files which would not be run,"
++-    print "                information is given for why they are excluded"
++-    print "  --help        Show this help and exit"
++-    print "  --version     Show version and copyright information"
++-    print
++-    print "ENVIRONMENT specifies a list of environments for which to run autostart"
++-    print "applications.  If none are specified, only applications which do not "
++-    print "limit themselves to certain environments will be run."
++-    print
++-    print "ENVIRONMENT can be one or more of:"
++-    print "  GNOME         Gnome Desktop"
++-    print "  KDE           KDE Desktop"
++-    print "  ROX           ROX Desktop"
++-    print "  XFCE          XFCE Desktop"
++-    print "  Old           Legacy systems"
++-    print
+++    print("Usage:", ME, "[OPTION]... [ENVIRONMENT]...")
+++    print()
+++    print("This tool will run xdg autostart .desktop files")
+++    print()
+++    print("OPTIONS")
+++    print("  --list        Show a list of the files which would be run")
+++    print("                Files which would be run are marked with an asterix")
+++    print("                symbol [*].  For files which would not be run,")
+++    print("                information is given for why they are excluded")
+++    print("  --help        Show this help and exit")
+++    print("  --version     Show version and copyright information")
+++    print()
+++    print("ENVIRONMENT specifies a list of environments for which to run autostart")
+++    print("applications.  If none are specified, only applications which do not ")
+++    print("limit themselves to certain environments will be run.")
+++    print()
+++    print("ENVIRONMENT can be one or more of:")
+++    print("  GNOME         Gnome Desktop")
+++    print("  KDE           KDE Desktop")
+++    print("  ROX           ROX Desktop")
+++    print("  XFCE          XFCE Desktop")
+++    print("  Old           Legacy systems")
+++    print()
++ 
++ def show_version():
++-    print ME, VERSION
++-    print "Copyright (c) 2008        Dana Jansens"
++-    print
+++    print(ME, VERSION)
+++    print("Copyright (c) 2008        Dana Jansens")
+++    print()
++ 
++ if __name__ == "__main__":
++         sys.exit(main())
+#diff --git a/x11-wm/openbox/openbox-3.6.1-r2.ebuild b/x11-wm/openbox/openbox-3.6.1-r2.ebuild
+#new file mode 100644
+#index 00000000000..80c67975b17
+#--- /dev/null
+#+++ b/x11-wm/openbox/openbox-3.6.1-r2.ebuild
+#@@ -0,0 +1,100 @@
+#+# Copyright 1999-2020 Gentoo Authors
+#+# Distributed under the terms of the GNU General Public License v2
+#+
+#+EAPI=7
+#+
+#+PYTHON_COMPAT=( python3_{6,7,8} )
+#+inherit multilib autotools python-single-r1 eutils
+#+
+#+DESCRIPTION="A standards compliant, fast, light-weight, extensible window manager"
+#+HOMEPAGE="http://openbox.org/"
+#+if [[ ${PV} == *9999* ]]; then
+#+	inherit git-r3
+#+	EGIT_REPO_URI="git://git.openbox.org/dana/openbox"
+#+	SRC_URI="branding? (
+#+	https://dev.gentoo.org/~hwoarang/distfiles/surreal-gentoo.tar.gz )"
+#+else
+#+	SRC_URI="http://openbox.org/dist/openbox/${P}.tar.gz
+#+	branding? ( https://dev.gentoo.org/~hwoarang/distfiles/surreal-gentoo.tar.gz )"
+#+	KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-linux"
+#+fi
+#+
+#+LICENSE="GPL-2"
+#+SLOT="3"
+#+IUSE="branding debug imlib nls session startup-notification static-libs svg xdg"
+#+REQUIRED_USE="xdg? ( ${PYTHON_REQUIRED_USE} )"
+#+
+#+RDEPEND="dev-libs/glib:2
+#+	>=dev-libs/libxml2-2.0
+#+	>=media-libs/fontconfig-2
+#+	x11-libs/cairo
+#+	x11-libs/libXau
+#+	x11-libs/libXcursor
+#+	x11-libs/libXext
+#+	x11-libs/libXft
+#+	x11-libs/libXinerama
+#+	x11-libs/libXrandr
+#+	x11-libs/libXt
+#+	>=x11-libs/pango-1.8[X]
+#+	imlib? ( media-libs/imlib2 )
+#+	startup-notification? ( >=x11-libs/startup-notification-0.8 )
+#+	svg? ( gnome-base/librsvg:2 )
+#+	xdg? (
+#+		${PYTHON_DEPS}
+#+		dev-python/pyxdg[${PYTHON_USEDEP}]
+#+	)
+#+	"
+#+DEPEND="${RDEPEND}
+#+	sys-devel/gettext
+#+	virtual/pkgconfig
+#+	x11-base/xorg-proto"
+#+
+#+PATCHES=(
+#+	"${FILESDIR}/${PN}-3.5.2-gnome-session.patch"
+#+	# see https://github.com/danakj/openbox/pull/35
+#+	"${FILESDIR}/${PN}-3.6.1-py3-xdg.patch"
+#+)
+#+
+#+src_prepare() {
+#+	default
+#+	sed -i \
+#+		-e "s:-O0 -ggdb ::" \
+#+		-e 's/-fno-strict-aliasing//' \
+#+		"${S}"/m4/openbox.m4 || die
+#+	eautoreconf
+#+}
+#+
+#+src_configure() {
+#+	econf \
+#+		--docdir="${EPREFIX}/usr/share/doc/${PF}" \
+#+		$(use_enable debug) \
+#+		$(use_enable static-libs static) \
+#+		$(use_enable nls) \
+#+		$(use_enable imlib imlib2) \
+#+		$(use_enable svg librsvg) \
+#+		$(use_enable startup-notification) \
+#+		$(use_enable session session-management) \
+#+		--with-x
+#+}
+#+
+#+src_install() {
+#+	dodir /etc/X11/Sessions
+#+	echo "/usr/bin/openbox-session" > "${ED}/etc/X11/Sessions/${PN}"
+#+	fperms a+x /etc/X11/Sessions/${PN}
+#+	emake DESTDIR="${D}" install
+#+	if use branding; then
+#+		insinto /usr/share/themes
+#+		doins -r "${WORKDIR}"/Surreal_Gentoo
+#+		# make it the default theme
+#+		sed -i \
+#+			-e "/<theme>/{n; s@<name>.*</name>@<name>Surreal_Gentoo</name>@}" \
+#+			"${D}"/etc/xdg/openbox/rc.xml \
+#+			|| die "failed to set Surreal Gentoo as the default theme"
+#+	fi
+#+	use static-libs || find "${D}" -name '*.la' -delete
+#+	if use xdg ; then
+#+		python_fix_shebang "${ED}"/usr/libexec/openbox-xdg-autostart
+#+	else
+#+		rm "${ED}"/usr/libexec/openbox-xdg-autostart || die
+#+	fi
+#+}
+#-- 
+#cgit v1.2.3-18-g5258
+#
-- 
2.34.0





Acknowledgement sent to Leo Famulari <leo@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#53394; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 29 Mar 2022 10:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.